import { a0 as e, ga as t } from "./684d2f28.js";
import "react";
import "react-dom";
const o = [{
  label: e("textOverflowProp.ellipsis"),
  value: "ellipsis"
}, {
  label: e("textOverflowProp.wrap"),
  value: "wrap"
}], l = t(o, "ellipsis");
class w extends l {
  getView() {
    return this.value !== "ellipsis";
  }
  getPropertyView() {
    return this.propertyView({
      label: e("prop.textOverflow")
    });
  }
  propertyView(r) {
    return super.propertyView({
      radioButton: !0,
      ...r
    });
  }
}
export {
  w as TextOverflowControl
};
